/*----------------------------------------------------------------------*/
/*                                                         		*/
/* Module Name: fdir							*/
/*                                                         		*/
/* Module Description: Frame directory list				*/
/*                                                         		*/
/* Revision History:					   		*/
/* Rel   Date     Programmer  	Comments				*/
/* 0.1	 4Oct00   D. Sigg    	First release		   		*/
/*                                                         		*/
/* Documentation References:						*/
/*	Man Pages: framefast.html					*/
/*	References: none						*/
/*                                                         		*/
/* Author Information:							*/
/* Name          Telephone       Fax             e-mail 		*/
/* Daniel Sigg   (509) 372-8132  (509) 372-8137  sigg_d@ligo.mit.edu	*/
/*                                                         		*/
/*                                                         		*/
/*                      -------------------                             */
/*                                                         		*/
/*                             LIGO					*/
/*                                                         		*/
/*        THE LASER INTERFEROMETER GRAVITATIONAL WAVE OBSERVATORY.	*/
/*                                                         		*/
/*                     (C) The LIGO Project, 1999.			*/
/*                                                         		*/
/*                                                         		*/
/* Caltech				MIT		   		*/
/* LIGO Project MS 51-33		LIGO Project NW-17 161		*/
/* Pasadena CA 91125			Cambridge MA 01239 		*/
/*                                                         		*/
/* LIGO Hanford Observatory		LIGO Livingston Observatory	*/
/* P.O. Box 1970 S9-02			19100 LIGO Lane Rd.		*/
/* Richland WA 99352			Livingston, LA 70754		*/
/*                                                         		*/
/*----------------------------------------------------------------------*/

#ifndef _LIGO_FDIR_H
#define _LIGO_FDIR_H


namespace framefast {


/** @name fdir
    \begin{verbatim}
    usage: fdir [-t 'threshold'] 'frame directory(ies)'
    \end{verbatim}
    Generates a listing of frame sections convering continuous 
    time segments. The threshold time can be used to specify a minumum
    time segment length. If a wildcard is used to describe the frame
    files, the argument should be quoted to prevent the shell from 
    expanding the file names. 
   
    @memo Frame directory listing
    @author Written October 2000 by Daniel Sigg
    @version 1.0
 ************************************************************************/


}


#endif // _LIGO_FDIR_H


