#ifndef HTML_SIZE_HH
#define HTML_SIZE_HH

#include "html/Attrib.hh"
#include <string>

namespace html {
  class writer;

  /**  Class size contains text size attributes.
    *  @memo Text size attribute.
    */
  class size : public attrib {
  public:
    /**  Construct a size specifier.
      */
    size(int Size=0);
    size(const size& x);
    ~size(void);
    attrib* clone(void) const;
    bool isDefault(void) const;
    void putAttr(writer& w) const;
    void setDefault(void);
    void setRelative(int delta);
    void setSize(int Size);
    bool operator==(const size& x) const;

  private:
    enum {kDefault, kPoints, kDelta} mType;
    int mSize;
  };

}

inline bool
html::size::operator==(const size& x) const {
    return (mType == x.mType) && (mType == kDefault || mSize == x.mSize);
}

#endif //  HTML_SIZE_HH
