/* -*- mode: c++; c-basic-offset: 4; -*- */
#ifndef HTML_TEXTATTR_HH
#define HTML_TEXTATTR_HH

#include "Attrib.hh"

namespace html {
    class color;
    class size;
    class font;

    /**  @memo Text data attribute API
      *  The textAttr class holds the text attributes.
      *  @author J. Zweizig
      *  @version "$Header: /ldcg_server/common/repository_gds/gds/IO/html/textAttr.hh,v 1.3 2007/05/05 05:06:19 jzweizig Exp $"
      */
    class textAttr : public attList {
    public:
	textAttr(void);
	textAttr(const textAttr& x);
	virtual ~textAttr(void) {}
	const color& getColor(void) const;
	const font&  getFont(void) const;
	const size&  getSize(void) const;
	void setFont(const font& x);
	void setColor(const color& x);
	void setSize(const size& x);
	void merge(const textAttr& x);
	void merge(const attList& x) {
	    attList::merge (x); }
	void suppress(const textAttr& x);
    };

}
#endif  //  HTML_TEXTATTR_HH
