/* -*- mode: c++; c-basic-offset: 4; -*- */
//
//  Function FOM4CumSpectrum:  Helper function for PulsarMon.  Reads an
//  FSpectrum "psd" and copies FOM4: Cumulative Spectrum over Run Period  into a second
//  FSpectrum "out".
//
///////////////////////////////////////////////////////////////////////////

#include <stdio.h>

#include <iostream>
#include <fstream>
#include <math.h>


#include "FOM4CumSpectrum.hh"
using namespace std;

void FOM4CumSpectrum( int NStride, FSpectrum& out, FSpectrum& psd)
{ 
    //----- Open write file
      

    ofstream outdata44;
    outdata44.open("output/FOM4CUMSPEC.txt");

    //----- Set FSpectrum out equal to FSpectrum psd.
    out = psd;

    // int N_it = NStride;
    //----- Initialize items necessary to calculation.
    int nsteps = out.getNStep();
    float Tst=60.00;// length of one stride in seconds

    float low_freq = out.getLowFreq();
    float f_step = out.getFStep();
    float *data = new float[nsteps + 1];
    double *dataD = new double[nsteps + 1];

    double *CumS= new double[nsteps+1];
    double *PSD1 = new double[nsteps +1];

    //----- Copy data from out object to data array.
    out.getData(nsteps + 1, data);
                          
    for (int i=0; i < (nsteps + 1) ;i++)
	{
	    dataD[i] = (double) data[i];

	}


       
    cerr<<dataD[798]<<" "<<"S 798 before "<<endl;

       
    for (int i = 0; i < (nsteps + 1); i++)
	{ 
	    CumS[i]=0;
	} 

                    
    if ( NStride != 0) {
	ifstream indata55;	
	indata55.open("output/CumS.txt",ios::in );
	if (! indata55.is_open() ) {
	    cerr << "Unable to open Cumulative spectrum file." << endl;
	} else {
	    for (int i=0; i < (nsteps + 1) ;i++) {
		indata55>>CumS[i];
	    }
	}
    }
	
    cerr<<CumS[798]<<" "<<"CumSum 798 before "<<endl;
      
    ofstream outdata55;
    outdata55.open("output/CumS.txt",ios::trunc);//

    for (int i = 0; i < (nsteps + 1); i++)
	{
	    double datafreq = low_freq + f_step*i;
	    PSD1[i]=  dataD[i]*dataD[i];
	    CumS[i]=  CumS[i] + 1/PSD1[i];  
	    data[i] = sqrt(  1/Tst *1/CumS[i]);
          
	    outdata44<<datafreq <<" "<<data[i]<<endl;
	    outdata55<<CumS[i]<<endl;

	}
    cerr<<PSD1[798]<<" "<<"PSD1 798 after "<<endl;

    cerr<<CumS[798]<<" "<<"CumSum 798 after "<<endl;
        
    cerr<<"N call to FOM4 "<<" "<< NStride <<endl;



    cerr<<data[798]<<" "<<"S 798 after "<<endl;

    //----- Send data back to FSpectrum object.
    out.setData(nsteps + 1, data);
       
    outdata44.close();
    outdata55.close();

    delete [] data;
    delete [] PSD1;
    delete [] CumS;
    delete [] dataD;
  	
}

